<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="actions_rec_05"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="REQUETE_SQL" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["SELECT LOLF_ID from lolf_nomenclature_recette where WHERE  (lolf_ouverture <= $P{PERIODE_FIN}) AND (   lolf_fermeture IS NULL OR lolf_fermeture >= $P{PERIODE_DEBUT} ) ) AND lolf_niveau > -1 AND TYEt_id=1 and lolf_id =$P{LOLFID}"]]></defaultValueExpression>
	</parameter>
	<parameter name="UNIV" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="EXE_EXERCICE" isForPrompting="false" class="java.lang.Integer"/>
	<parameter name="REP_BASE_PATH" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="LOLFID" isForPrompting="false" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="SUBREPORT_DIR" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[$P{REP_BASE_PATH}]]></defaultValueExpression>
	</parameter>
	<parameter name="PERIODE_DEBUT" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2006-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="PERIODE_FIN" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2006-12-31"]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[SELECT LOLF_ID, LOLF_NIVEAU, LOLF_CODE,LOLF_LIBELLE
from lolf_nomenclature_recette 
WHERE  (lolf_ouverture <= to_date('$P!{PERIODE_FIN}','YYYY-MM-DD') ) 
AND (lolf_fermeture IS NULL OR lolf_fermeture >= to_date('$P!{PERIODE_DEBUT}','YYYY-MM-DD') )
AND TYEt_id=1 
and lolf_id =$P{LOLFID}]]></queryString>

	<field name="LOLF_ID" class="java.lang.Integer"/>
	<field name="LOLF_NIVEAU" class="java.lang.Integer"/>
	<field name="LOLF_CODE" class="java.lang.String"/>
	<field name="LOLF_LIBELLE" class="java.lang.String"/>


		<group  name="EXERCICE" >
			<groupExpression><![CDATA[$P{EXE_EXERCICE}]]></groupExpression>
			<groupHeader>
			<band height="54"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="152"
						y="3"
						width="250"
						height="26"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="18" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Nomenclature LOLF]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="1"
						y="3"
						width="144"
						height="26"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-14"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{UNIV}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						mode="Opaque"
						x="153"
						y="31"
						width="250"
						height="19"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="14" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Recettes]]></text>
				</staticText>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="16"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="0"
						y="0"
						width="150"
						height="12"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-3"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Nomenclature LOLF - Recettes]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="392"
						y="0"
						width="143"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-17"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Exercice " + $P{EXE_EXERCICE}]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="0"
						y="12"
						width="535"
						height="2"
						key="line-1"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="56"  isSplitAllowed="true" >
				<subreport  isUsingCache="true">
					<reportElement
						x="4"
						y="34"
						width="531"
						height="17"
						key="subreport-1"/>
					<subreportParameter  name="LOLFID">
						<subreportParameterExpression><![CDATA[$P{LOLFID}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="PERIODE_DEBUT">
						<subreportParameterExpression><![CDATA[$P{PERIODE_DEBUT}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="PERIODE_FIN">
						<subreportParameterExpression><![CDATA[$P{PERIODE_FIN}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="SUBREPORT_DIR">
						<subreportParameterExpression><![CDATA[$P{REP_BASE_PATH}]]></subreportParameterExpression>
					</subreportParameter>
					<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					<subreportExpression  class="java.lang.String"><![CDATA[$P{REP_BASE_PATH} + "actions_rec_05_sub.jasper"]]></subreportExpression>
				</subreport>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="5"
						y="5"
						width="521"
						height="19"
						key="niveau1">
							<printWhenExpression><![CDATA[new Boolean($F{LOLF_NIVEAU}.intValue()==1)]]></printWhenExpression>
						</reportElement>
					<box topBorder="Dotted" topBorderColor="#000000" topPadding="2" leftBorder="Dotted" leftBorderColor="#000000" leftPadding="4" rightBorder="Dotted" rightBorderColor="#000000" bottomBorder="Dotted" bottomBorderColor="#000000" bottomPadding="2"/>
					<textElement verticalAlignment="Middle">
						<font pdfFontName="Helvetica-Bold" size="10" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{LOLF_CODE} + " " +$F{LOLF_LIBELLE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="4"
						y="5"
						width="524"
						height="19"
						key="niveau0">
							<printWhenExpression><![CDATA[new Boolean($F{LOLF_NIVEAU}.intValue()==0)]]></printWhenExpression>
						</reportElement>
					<box topBorder="Thin" topBorderColor="#000000" topPadding="2" leftBorder="Thin" leftBorderColor="#000000" leftPadding="4" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="2"/>
					<textElement verticalAlignment="Middle">
						<font pdfFontName="Helvetica-Bold" size="10" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{LOLF_CODE} + " " +$F{LOLF_LIBELLE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="6"
						y="5"
						width="489"
						height="19"
						key="niveau2-1">
							<printWhenExpression><![CDATA[new Boolean($F{LOLF_NIVEAU}.intValue()>=2)]]></printWhenExpression>
						</reportElement>
					<box topBorder="None" topBorderColor="#000000" topPadding="2" leftBorder="None" leftBorderColor="#000000" leftPadding="4" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000" bottomPadding="2"/>
					<textElement verticalAlignment="Middle">
						<font pdfFontName="Helvetica" size="10" isBold="false"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["> "+$F{LOLF_CODE} + " " +$F{LOLF_LIBELLE}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="12"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="2"
						y="0"
						width="113"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-15"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Imprimé le " + new SimpleDateFormat("dd/MM/yyyy").format(new Date())]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="401"
						y="0"
						width="63"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page " + $V{PAGE_NUMBER} + "/"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="465"
						y="0"
						width="69"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.Integer"><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
